{{- if and .Values.enabled.enabled .Values.enabled.rtsp }}
{{- $namespace := .Release.Namespace -}}

---
apiVersion: v1
kind: ConfigMap
metadata:
  name: cmii-rtsp-cm
  namespace: {{ $namespace }}
  labels:
  {{ include "rtsp.labels.standard" .  | nindent 4 }}
data:
  zlm.conf: |-
    {{- include "rtsp.config.zlm" . | nindent 4 }}

  op.conf: |-
    {{- include "rtsp.config.op" . | nindent 4 }}


  {{- end -}}